#ifndef RENDER_OBJECT_H
#define RENDER_OBJECT_H
#include "entity.cuh"

template<class T> class render_object : public entity<T> {
  using T3 = typename vect_t3<T>::vect_t;
  using entity<T>::entity;
  public:
    virtual __device__ T distance_estimator(T3 point) const = 0;
};

#endif
